sxmobar(1)

# NAME

sxmobar - a status bar component manager

# SYNOPSIS

*sxmobar* [-adwsrD] ...

# DESCRIPTION

*sxmobar* display, or manage, the current status bar components

## OPTIONS

*-s* [-o _format_] (default)
	Display the status bar. See *OUTPUT FORMAT*

*-w* [-o _format_]
	Display the status bar, and keep watching it. New lines are rendered on
	component update. See *OUTPUT FORMAT*.

*-r*
	Reset the status bar. It drops every component.

*-D*
	Debug the status bar. This display every component, with their respective
	priority and name.

*-a* [_style_]... _name_ _priority_ _content_
	Add a status bar component. The name identify the component. The priority
	is an integer used to order the components, sorted ascending. The content is
	what will be displayed in the status bar.

	If a component with the same name already exists, this new one will replace it.

	If the content is empty, the component is deleted instead.

	You can customize the component with a foreground and background color, a
	style, and a weight. See *COMPONENT STYLE*.

*-d* _name_
	Delete a component by its name.

## OUTPUT FORMAT

While showing the status bar, you can ask for it to be displayed with those
formats:

- plain (default)
Not colored, not stylized. Raw.

- tty
Colored and stylized with ascii escape sentences

- pango
Formated with pango markup. To be used with compatible softwares.

## COMPONENT STYLE

While adding a component, you can specify the foreground and background color,
the font style, and weight, with those extra arguments:

*-f* _color_
	Foreground color. See COLOR

*-b* _color_
	Background color. See COLOR

*-t* _style_
	Font style. See STYLE

*-e* _weight_
	Font weight. See WEIGHT

## COLOR

The available colors are:

- black
- red
- green
- orange
- blue
- magenta
- cyan
- light_gray
- default
- dark_gray
- light_red
- light_green
- yellow
- light_blue
- light_purple
- teal
- white

## STYLE

The available font styles are:

- normal
- italic
- oblique

## WEIGHT

The available font weight are:

- normal
- bold

## EXAMPLES

Let's add some components:

```
$ sxmobar -a -f red -b blue -e bold first 50 foo
$ sxmobar -a -f green -b orange before 20 bar
```

What is rendered:

```
$ sxmobar
bar foo
```

We can open another terminal and watch the status bar as we manage components.
You could show colors and styles in your terminal:

```
$ sxmobar -o tty -w
bar foo
```

Let's see how it is structured:

```
$ sxobar -D
>bar< 20 before
>foo< 50 first
```

Remove the first component:

```
$ sxmobar -d first
```

Show in pango markup:

```
$ sxmobar -o pango
<span foreground="green" background="orange">bar</span>
```

Reset all, rebuild:

```
$ sxmobar -r
```
