#!/bin/sh

component() {
	sort -R <<EOF | head -n1
10 foo
20 bar
30 tutu
40 toto
50 batman
EOF
}

style() {
	sort -R <<EOF | head -n1
normal
italic
oblique
EOF
}

weight() {
	sort -R <<EOF | head -n1
normal
bold
EOF
}

color() {
	sort -R <<EOF | head -n1
black
red
green
orange
blue
magenta
cyan
light gray
default
dark gray
light red
light green
yellow
light blue
light purple
teal
white
EOF
}

DIGIT_SET="[:digit:]"
CHARACTER_SET="[:alnum:]"

number() {
	LC_ALL=C tr -dc "$DIGIT_SET" < /dev/urandom \
		| head -c "5" | tr -d "0" | xargs printf "%i"
}

length() {
	echo "$(($(number) % 10))"
}

value() {
	LC_ALL=C tr -dc "$CHARACTER_SET" < /dev/urandom 2>> /dev/null \
		| head -c "$(length)"
}

set_random_cmp() {
	component | while read -r priority cmp; do
		set -- sxmobar -e "$(weight)" -t "$(style)" -b "$(color)" \
			-f "$(color)" -a "$cmp" "$priority" "$(value)"

		echo "$@"
		"$@"
	done
}

while : ; do
	set_random_cmp &
	set_random_cmp &
	set_random_cmp &
	set_random_cmp &
	wait
done
